Package slepc4py :: Module SLEPc :: Class FN

[hide private]
[frames] | no frames]

# Class FN

FN

Nested Classes | [hide private]

| CombineType FN type of combination of child functions
| Type FN type

Instance Methods | [hide private]

a new object with type S, a subtype of T

__new__(S, ...) |

create(self, comm=None) Creates the FN object. |

destroy(self) Destroys the FN object. |

evaluateDerivative(self, x) Computes the value of the derivative f'(x) for a given x. |

evaluateFunction(self, x) Computes the value of the function f(x) for a given x. |

getOptionsPrefix(self) Gets the prefix used for searching for all FN options in the database. |

getScale(self) Gets the scaling parameters that define the matematical function. |

getType(self) Gets the FN type of this object. |

setFromOptions(self) Sets FN options from the options database. |

setOptionsPrefix(self, prefix) Sets the prefix used for searching for all FN options in the database. |

setRationalDenominator(self, alpha) Sets the coefficients of the denominator of the rational function. |

setRationalNumerator(self, alpha) Sets the coefficients of the numerator of the rational function. |

setScale(self, alpha=None, beta=None) Sets the scaling parameters that define the matematical function. |

setType(self, fn_type) Selects the type for the FN object. |

view(self, Viewer viewer=None) Prints the FN data structure. |

Inherited from `petsc4py.PETSc.Object`: `__copy__`, `__deepcopy__`, `__eq__`, `__ge__`, `__gt__`, `__le__`, `__lt__`, `__ne__`, `__nonzero__`, `compose`, `decRef`, `getAttr`, `getClassId`, `getClassName`, `getComm`, `getDict`, `getName`, `getRefCount`, `getTabLevel`, `incRef`, `incrementTabLevel`, `query`, `setAttr`, `setName`, `setTabLevel`, `stateIncrease`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties | [hide private]

Inherited from `petsc4py.PETSc.Object`: `classid`, `comm`, `fortran`, `handle`, `klass`, `name`, `prefix`, `refcount`, `type` Inherited from `object`: `__class__`

Method Details | [hide private]

### __new__(S, ...)

Returns: a new object with type S, a subtype of T
Overrides: object.__new__

### create(self, comm=None)

Creates the FN object.

# Parameters

comm: Comm, optional
  MPI communicator; if not provided, it defaults to all processes.

### destroy(self)

Destroys the FN object.

Overrides: petsc4py.PETSc.Object.destroy

### evaluateDerivative(self, x)

Computes the value of the derivative f'(x) for a given x.

# Parameters

x: scalar
  Value where the derivative must be evaluated.

# Returns

y: scalar
  The result of f'(x).

### evaluateFunction(self, x)

Computes the value of the function f(x) for a given x.

# Parameters

x: scalar
  Value where the function must be evaluated.

# Returns

y: scalar
  The result of f(x).

### getOptionsPrefix(self)

Gets the prefix used for searching for all FN options in the database.

# Returns

prefix: string
  The prefix string set for this FN object.

Overrides: petsc4py.PETSc.Object.getOptionsPrefix

### getScale(self)

Gets the scaling parameters that define the matematical function.

# Returns

alpha: scalar (possibly complex)
  inner scaling (argument).
beta: scalar (possibly complex)
  outer scaling (result).

### getType(self)

Gets the FN type of this object.

# Returns

type: FN.Type enumerate
  The inner product type currently being used.

Overrides: petsc4py.PETSc.Object.getType

### setFromOptions(self)

Sets FN options from the options database.

# Notes

To see all options, run your program with the `-help` option.

Overrides: petsc4py.PETSc.Object.setFromOptions

### setOptionsPrefix(self, prefix)

Sets the prefix used for searching for all FN options in the database.

# Parameters

prefix: string
  The prefix string to prepend to all FN option requests.

# Notes

A hyphen (`-`) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

Overrides: petsc4py.PETSc.Object.setOptionsPrefix

### setRationalDenominator(self, alpha)

Sets the coefficients of the denominator of the rational function.

# Parameters

alpha: array of scalars
  Coefficients.

### setRationalNumerator(self, alpha)

Sets the coefficients of the numerator of the rational function.

# Parameters

alpha: array of scalars
  Coefficients.

### setScale(self, alpha=None, beta=None)

Sets the scaling parameters that define the matematical function.

# Parameters

alpha: scalar (possibly complex)
  inner scaling (argument).
beta: scalar (possibly complex)
  outer scaling (result).

### setType(self, fn_type)

Selects the type for the FN object.

# Parameters

fn_type: FN.Type enumerate
  The inner product type to be used.

### view(self, Viewer viewer=None)

Prints the FN data structure.

# Parameters

viewer: Viewer, optional
  Visualization context; if not provided, the standard output is used.

Overrides: petsc4py.PETSc.Object.view